local Nature = foundation.createMod();

Nature:dofile("monuments.lua")

Nature:registerAssetId("models/nature.fbx/Prefab/Stone1", "PREFAB_STONE1")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone2", "PREFAB_STONE2")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone3", "PREFAB_STONE3")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone4", "PREFAB_STONE4")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone5", "PREFAB_STONE5")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone6", "PREFAB_STONE6")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone7", "PREFAB_STONE7")
Nature:registerAssetId("models/nature.fbx/Prefab/Water_Circle", "PREFAB_WATER_CIRCLE")
Nature:registerAssetId("models/nature.fbx/Prefab/Water_Square", "PREFAB_WATER_SQUARE")
Nature:registerAssetId("models/nature.fbx/Materials/butterfly", "BUTTERFLY_MATERIAL")
Nature:registerAssetId("models/nature.fbx/Materials/water", "WATER_MATERIAL")

Nature:override({
    Id = "BUTTERFLY_MATERIAL",
	HasAlphaTest = true,
	BackFaceVisible = true
})

Nature:register({
	DataType = "WALL_CONFIG",
	Id = "STREAM",
	WallConfigName = "STREAM_NAME",
	IsManuallyUnlocked = false,
	Material = "WATER_MATERIAL",
	MaterialTop = "WATER_MATERIAL",
	StepLength = 0.5,
	Width = 2.5,
	Height = 0.2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE1",
	Name = "STONE1_NAME",
	Description = "STONE1_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE1"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE2",
	Name = "STONE2_NAME",
	Description = "STONE2_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE2"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE3",
	Name = "STONE3_NAME",
	Description = "STONE3_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE3"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE4",
	Name = "STONE4_NAME",
	Description = "STONE4_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE4"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE5",
	Name = "STONE5_NAME",
	Description = "STONE5_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE5"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE6",
	Name = "STONE6_NAME",
	Description = "STONE6_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE6"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE7",
	Name = "STONE7_NAME",
	Description = "STONE7_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE7"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "WATER_CIRCLE",
	Name = "WATER_CIRCLE_NAME",
	Description = "WATER_CIRCLE_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1, 1},
			{1, -1},
			{-1, -1},
			{-1, 1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WATER_CIRCLE"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "WATER_SQUARE",
	Name = "WATER_SQUARE_NAME",
	Description = "WATER_SQUARE_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1, 1},
			{1, -1},
			{-1, -1},
			{-1, 1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WATER_SQUARE"
	}
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Water_Circle", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.7,
	SoftRadius = 1.5,
	Strength = 0.8
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Water_Square", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.7,
	SoftRadius = 1.5,
	Strength = 0.8
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone1/set1", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone1/set2", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone1/set3", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone1/set4", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone1/set5", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone1/set6", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone2/set7", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone2/set8", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone2/set9", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone2/set10", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone2/set11", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone2/set12", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone4/set14", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone4/set15", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone4/set16", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone5/set17", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone5/set18", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone5/set19", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone6/set20", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone6/set21", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone6/set22", {
	DataType = "COMP_GROUNDED"
})